Bug 965953 - SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'write' accesses on the sock_file bumblebee.socket. [NEEDINFO]
SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'write' access...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:badee57708a6b7f6d4a6b4a1f89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 03:16 EDT by Ronio
Modified: 2013-10-25 09:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (kunronio)


Attachments (Terms of Use)

  None (edit)
Description Ronio 2013-05-22 03:16:46 EDT
Description of problem:
I use Fedora 18 64 bit with Nvidia GT 540M (Bumblebee Primus 3.2.1 was installed). And when I use Nvidia Bumblebee primus ($ primusrun shotwell) this program can running but new bugs is created. How do repair this Bugs? 
SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'write' accesses on the sock_file bumblebee.socket.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that shotwell-video-thumbnailer should be allowed write access on the bumblebee.socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep shotwell-video- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_run_t:s0
Target Objects                bumblebee.socket [ sock_file ]
Source                        shotwell-video-
Source Path                   /usr/bin/shotwell-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           shotwell-0.13.1-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-95.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.2-200.fc18.x86_64 #1 SMP Mon
                              May 13 13:59:47 UTC 2013 x86_64 x86_64
Alert Count                   11
First Seen                    2013-05-21 19:59:52 WIT
Last Seen                     2013-05-22 14:10:45 WIT
Local ID                      8e0734b2-26dd-4011-b0c2-18945ade06f2

Raw Audit Messages
type=AVC msg=audit(1369206645.10:110): avc:  denied  { write } for  pid=4398 comm="shotwell-video-" name="bumblebee.socket" dev="tmpfs" ino=18894 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_run_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1369206645.10:110): arch=x86_64 syscall=connect success=no exit=EACCES a0=3 a1=7ffff0380060 a2=6e a3=7ffff037fde0 items=0 ppid=4366 pid=4398 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=pts0 comm=shotwell-video- exe=/usr/bin/shotwell-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: shotwell-video-,thumb_t,var_run_t,sock_file,write

audit2allow

#============= thumb_t ==============
allow thumb_t var_run_t:sock_file write;

audit2allow -R
require {
	type var_run_t;
	type thumb_t;
	class sock_file write;
}

#============= thumb_t ==============
allow thumb_t var_run_t:sock_file write;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.2-200.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-05-23 10:49:48 EDT
What is bumblebee?

Note You need to log in before you can comment on or make changes to this bug.